-- Configure
local IconSize = 48
local ammoFont = {STANDARD_TEXT_FONT, 14, "THINOUTLINE"}
local CreateSD = function(f, m, s)
	if f.Shadow then return end
	f.Shadow = CreateFrame("Frame", nil, f)
	f.Shadow:SetPoint("TOPLEFT", f, -m, m)
	f.Shadow:SetPoint("BOTTOMRIGHT", f, m, -m)
	f.Shadow:SetBackdrop({
		edgeFile = "Interface\\Addons\\Ammos\\glowTex", edgeSize = s })
	f.Shadow:SetBackdropBorderColor(0, 0, 0, 1)
	f.Shadow:SetFrameLevel(f:GetFrameLevel())
	return f.Shadow
end
-- Hunter Ammo Reminder
local myClass = select(2,UnitClass('player'))
if myClass ~= "HUNTER" then return end
local ammos = {162536, 162537, 162539}
local f = CreateFrame("Frame", nil, UIParent)
f:SetPoint("CENTER", 0, 80)
f:SetWidth(IconSize)
f:SetHeight(IconSize)
CreateSD(f, 2, 3)

f.Icon = f:CreateTexture(nil, "ARTWORK")
f.Icon:SetPoint("TOPLEFT", 1, -1)
f.Icon:SetPoint("BOTTOMRIGHT", -1, 1)
f.Icon:SetTexCoord(0.08, 0.92, 0.08, 0.92)
f.Text = f:CreateFontString(nil, "OVERLAY")
f.Text:SetFont(unpack(ammoFont))
f.Text:SetPoint("TOP", f, "BOTTOM", 0, -5)

f:RegisterUnitEvent("UNIT_AURA", "player")
f:RegisterUnitEvent("PLAYER_SPECIALIZATION_CHANGED", "player")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function()
	local talentID, name, iconTexture, selected, available = GetTalentInfo(7,1,GetActiveSpecGroup())
	if selected then
		for _, id in pairs(ammos) do
			local ammo = GetSpellInfo(id)
			if UnitAura("player", ammo) then
				f:Hide()
				return
			end
		end
		f:Show()
		f.Icon:SetTexture(iconTexture)
		f.Text:SetText(name)
	else
		f:Hide()
	end
end)